package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyShopUpdaterangeRequest struct {
	/*
	   请求对象     */
	ShopRangeUpdateRequest *domain.AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest `json:"shop_range_update_request" required:"true" `
}

func (s *AlibabaAelophyShopUpdaterangeRequest) SetShopRangeUpdateRequest(v domain.AlibabaAelophyShopUpdaterangeShopRangeUpdateRequest) *AlibabaAelophyShopUpdaterangeRequest {
	s.ShopRangeUpdateRequest = &v
	return s
}

func (req *AlibabaAelophyShopUpdaterangeRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ShopRangeUpdateRequest != nil {
		paramMap["shop_range_update_request"] = util.ConvertStruct(*req.ShopRangeUpdateRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyShopUpdaterangeRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
